<?php
/**
 * groups-mailpress.php
 *
 * Copyright (c) 2013 "kento" Karim Rahimpur www.itthinx.com
 *
 * This code is released under the GNU General Public License.
 * See COPYRIGHT.txt and LICENSE.txt.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This header and all notices must be kept intact.
 *
 * @author Karim Rahimpur
 * @package groups-mailpress
 * @since groups-mailpress 1.0.0
 *
 * Plugin Name: Groups MailPress
 * Plugin URI: http://www.itthinx.com/plugins/groups
 * Description: Groups MailPress playing along nicely.
 * Version: 1.0.0
 * Author: itthinx
 * Author URI: http://www.itthinx.com
 * Donate-Link: http://www.itthinx.com
 * License: GPLv3
 */

add_action( 'MailPress_build_mail_content_start', 'groups_mailpress_start' );
function groups_mailpress_start() {
	remove_filter( "the_content", array( 'Groups_Post_Access', "the_content" ), 1 );
}

add_action( 'MailPress_build_mail_content_end', 'groups_mailpress_end' );
function groups_mailpress_end() {
	add_filter( "the_content", array( 'Groups_Post_Access', "the_content" ), 1 );
}
